org.firebirdsql.gds.ng.wire.crypt

## Interface EncryptionPluginSpi

All Known Implementing Classes:
  Arc4EncryptionPluginSpi

    public interface EncryptionPluginSpi

Service provider interface for wire encryption plugins.

NOTE: This plugin is currently only internal to Jaybird, consider the API as unstable.

Since:
  4.0
Author:
  Mark Rotteveel

### Method Summary

All Methods Instance Methods Abstract Methods
`EncryptionPlugin` `createEncryptionPlugin(CryptSessionConfig cryptSessionConfig)` Creates the encryption plugin for the provided crypt session config.
`EncryptionIdentifier` `getEncryptionIdentifier()`

### Method Detail

#### getEncryptionIdentifier

    EncryptionIdentifier getEncryptionIdentifier()

Returns:
  Encryption identifier

#### createEncryptionPlugin

    EncryptionPlugin createEncryptionPlugin(CryptSessionConfig cryptSessionConfig)

Creates the encryption plugin for the provided crypt session config.

Parameters:
  `cryptSessionConfig` - Crypt session config
Returns:
  Encryption plugin